# Netejaparabrises

---

*Grup 4: Ferran Oliva, Pol Ibáñez, Guiu Sales*

---

### Objectius

- Aprendre a dissenyar un sistema controlat per un microprocessador.<br />
- Aprendre a buscar components autònomament a partir dels datasheet.<br />
- Conèixer el funcionament del neteja parabrises:<br />
  - Controlar un motor per fer moure les escombretes.<br />
  - Implementar un sensor que detecti la pluja.<br />
  - Controlar una bomba d’aigua per netejar el vidre.<br />
  - Activar un calefactor de vidre per assecar el vidre.<br />
  
---

### Components

| Component | Nom de registre | Especificacions | Datasheet | Preu |
| --- | --- | --- | --- | --- |
| Microcontrolador | DSPIC33CK128MC502 | 3.3V - 3.6V I=300mA | [Micro/datasheet](https://ww1.microchip.com/downloads/aemDocuments/documents/MCU16/ProductDocuments/DataSheets/dsPIC33CK256MC506-Family-Data-Sheet-DS70005473C.pdf) | 2.08€ |
| Regulador de tensió | LM1117 | In=10V Out=3.3V I=800mA | [Regulador/datasheet](https://urolakostapk.files.wordpress.com/2016/10/yl-83-rain-detector-datasheet_low.pdf) | 1.38€ |
| Sensor digital de pluja | YL-83 | I=50mA V=3.3V | [Sensor/datasheet](https://urolakostapk.files.wordpress.com/2016/10/yl-83-rain-detector-datasheet_low.pdf) | 1.69€ |
| Oscil·lador | ECS-80-8-30-JGN-TR | 8MHz | [Oscil·lador/datasheet](https://eu.mouser.com/datasheet/2/122/ecx_53r-1775695.pdf) | 0.59€ |
| Transceiver | TCAN332D | V=3.3V Imax=200mA | [Transceiver/datasheet](https://www.snapeda.com/parts/TCAN332D/Texas%20Instruments/datasheet/) | 1.90€ |
| Connector | DB9 | 50mA | [DB9/datasheet](https://ftdichip.com/wp-content/uploads/2023/07/DS_DB9-USB.pdf) | 21.47€ |
| Connector USART | FTR-102-02-S-D | X | [USART/datasheet](https://www.mouser.es/datasheet/2/527/ftr_smt-2854232.pdf) | 0.79€ |
| Connector ICSP | DJ-03-V-T/R | I=25mA | [ICSP/datasheet](https://www.mouser.es/datasheet/2/527/ftr_1xx_xx_xx_s_xx_x_xx_mkt-3304485.pdf) | 1.53€ |
| Pulsadors | X | X | [Botonera/datasheet](f.pdf) | 2.06€ |
| Comparador | TLV2462IDGK | X | [Comparador/datasheet](https://www.ti.com/lit/gpn/tlv2462) | 2.73€ |
| Connector bateria | 282837-2 | X | [ConnectorBat/datasheet](https://www.mouser.es/datasheet/2/418/7/ENG_CD_282837_H-2036237.pdf) | 1.00€ |
| Driver motor | DRV8231A | 12V 25A max | [Driver(motor)/datasheet](https://www.ti.com/lit/ds/symlink/drv8231a.pdf?ts=1712039656253&ref_url=https%253A%252F%252Feu.mouser.com%252F) | 0.87€ |
| Driver bomba i calefactor | TC426EOA | Fins a 20V 1,5Amax | [Driver(calefactor, bomba)/datasheet](https://www.mouser.es/datasheet/2/268/MCHPS04167_1-2520814.pdf) | 1.77€ |
| Motor | ROB-11696 | Opera entre 4-33V, Maxim entre 0.3-35V, Imax 3.7A peak | [Motor/datasheet](https://mm.digikey.com/Volume0/opasdata/d220001/medias/docus/951/ROB-11696_Web.pdf) | 1.81€ |
| Bomba | RIDEX 794W0005 | 12V | [Bomba/Web](https://es.ridex.eu/product/13463556) | 26.99€ |
| Calefactor | RPSL-681 | 12V 25A | [Calefactor/Web](https://www.raptorsupplies.es/pd/roadpro/rpsl-681) | 115.50€ |
| Connector 1x02 | FTR-102-02-L-S | X | [Connector12/datasheet](https://www.mouser.es/datasheet/2/527/ftr_smt-2854232.pdf) | 0.39€ |
| Connector 1x03 | FTR-103-02-L-S | X | [Connector12/datasheet](https://www.mouser.es/datasheet/2/527/ftr_smt-2854232.pdf) | 0.59€ |

---

### Diagrama de blocs

![Diagrama de bocs](diagrama_de_blocs.png)


### Modificacions

Registre de totes les modificacions del projecte:

| Data | Autor | Versió | Modificació |
| --- | --- | --- | --- |
| 1/4/2024 | Ferran Oliva | v1 | Simulació LTSpice regulador de tensió |
| 1/4/2024 | Guiu Sales | v1 | Publicació README |
| 2/4/2024 | Pol Ibáñez | v1 | Creació esquemàtic |
| 3/4/2024 | Tots | v1 | Esquemàtic: Sensor pluja, transceiver, usart i drivers |
| 6/4/2024 | Pol Ibáñez | v2 | Esquemàtic: Capacitats de desacoblament, rectificació de connexions del micro amb els drivers |
| 8/4/2024 | Tots | v2 | Primera versió del layout (sense routing) |
| 8/4/2024 | Guiu Sales | v2 | Routing de la PCB i primeres correccions del DRC |
| 9/4/2024 | Pol Ibáñez | v2 | Nou regulador de tensió a 5V per al transceiver |
| 10/4/2024 | Pol Ibáñez | v2 | Canvi en el transceiver per un que treballa a 3.3V |
| 16/4/2024 | Ferran Oliva | v2 | Capa de Vbat a la zona de potència |
| 16/4/2024 | Ferran Oliva | v2 | Capacitats de desacoblament a la capa bottom |
| 17/4/2024 | Guiu Sales | v2 | Diferencial al bus CAN |
| 21/4/2024 | Ferran Oliva | v3 | Restructuració placing i silkscreen |
| 22/4/2024 | Guiu Sales | v3 | Inici pressupost, solucionar nous errors DRC i posar noms a les nets |
| 23/4/2024 | Pol Ibáñez | v3 | Acabar pressupost i revisió detallada projecte (amb rúbrica) |
| 24/4/2024 | Tots | v4 | Acabar de perfeccionar alguns espectes |

```python

```



```python

```
